cURL
curl --request POST \ --url https://app.sure.am/api/v1/chats \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "title": "Monthly budget review", "message": "<string>", "model": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "messages": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "user_message", "role": "user", "content": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "model": "<string>", "tool_calls": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "function_name": "<string>", "function_arguments": {}, "created_at": "2023-11-07T05:31:56Z", "function_result": {} } ] } ], "error": "<string>", "pagination": { "page": 2, "per_page": 2, "total_count": 1, "total_pages": 1 } }
API key for authentication. Generate one from your account settings.
"Monthly budget review"
Optional initial message in the chat
Optional OpenAI model identifier
chat created
Show child attributes
Was this page helpful?